aboutsummaryrefslogtreecommitdiff
path: root/games/childsplay_plugins/files
diff options
context:
space:
mode:
authorPav Lucistnik <pav@FreeBSD.org>2005-05-07 21:37:35 +0000
committerPav Lucistnik <pav@FreeBSD.org>2005-05-07 21:37:35 +0000
commit26e3539e23c2e1d4e6892936bbf536ad44711b0e (patch)
tree724899d08a7aee2e8223b16714235ce865fb4e44 /games/childsplay_plugins/files
parentda2dfe286b21d2a8a1297a51e2c844e2f6362348 (diff)
downloadports-26e3539e23c2e1d4e6892936bbf536ad44711b0e.tar.gz
ports-26e3539e23c2e1d4e6892936bbf536ad44711b0e.zip
Notes
Diffstat (limited to 'games/childsplay_plugins/files')
-rw-r--r--games/childsplay_plugins/files/patch-Makefile12
-rw-r--r--games/childsplay_plugins/files/patch-install.sh66
2 files changed, 78 insertions, 0 deletions
diff --git a/games/childsplay_plugins/files/patch-Makefile b/games/childsplay_plugins/files/patch-Makefile
new file mode 100644
index 000000000000..a15980f0207f
--- /dev/null
+++ b/games/childsplay_plugins/files/patch-Makefile
@@ -0,0 +1,12 @@
+--- Makefile.orig Sat May 7 23:03:39 2005
++++ Makefile Sat May 7 23:04:02 2005
+@@ -0,0 +1,9 @@
++PYTHON = /usr/bin/env python
++CPDIR=${X11BASE}/childsplay
++
++all:
++ echo "Compiling modules to bytecode..."
++ $(PYTHON) $(CPDIR)/install.py --compile ./lib
++
++install:
++ ./install.sh
diff --git a/games/childsplay_plugins/files/patch-install.sh b/games/childsplay_plugins/files/patch-install.sh
new file mode 100644
index 000000000000..2252aa7e7971
--- /dev/null
+++ b/games/childsplay_plugins/files/patch-install.sh
@@ -0,0 +1,66 @@
+diff -U 4 -r -N ./install.sh.orig ./install.sh
+--- ./install.sh.orig Fri Mar 18 09:51:09 2005
++++ ./install.sh Tue Mar 22 18:33:38 2005
+@@ -1,5 +1,5 @@
+-#!/bin/bash
++#!/bin/sh
+ # install childsplay.
+ # Be aware that childsplay probably won't work when you edit this file :-(
+ # As of 11/2004 childsplay will be converted to follow the File System
+ # Hierarchy (FSH).
+@@ -18,16 +18,16 @@
+ then PREFIX=$1
+ fi
+
+ LOCALEDIR=$PREFIX/share/locale
+-ASSETMLDIR=/usr/share/assetml
++ASSETMLDIR=$PREFIX/share/gnome/assetml
+ PYTHON=`which python`
+ SCOREDIR=/var/games
+ DOCDIR=$PREFIX/share/doc/childsplay
+ MANDIR=$PREFIX/man/man6
+-CPDIR=$PREFIX/lib/games/childsplay
++CPDIR=$PREFIX/childsplay
+ SHAREDIR=$PREFIX/share/childsplay
+-BINDIR=$PREFIX/games
++BINDIR=$PREFIX/bin
+ SHARELIBDATADIR=$SHAREDIR/lib
+ SHAREDATADIR=$SHAREDIR/Data
+
+ ##################################################
+@@ -66,23 +66,8 @@
+ fi
+
+ set -e
+
+-echo -e "\n The path to install the plugins in is $CPDIR."
+-echo " If you have installed childsplay in a other place, you can"
+-echo " give the full path to childsplay, otherwise just hit enter"
+-echo " Hit enter to install in $CPDIR, or give the full path"
+-read path
+-if [ $path ];then
+- if [ -e $path/install.py ];then
+- CPDIR=path
+- else
+- echo "*********** WARNING *************"
+- echo " $path does not exists or is not the childsplay directory"
+- echo " exit"
+- exit 1
+- fi
+-fi
+ echo " Installing in $CPDIR"
+
+ if [ `expr $VERSION \< $DEPEN` -eq 1 ]
+ then
+@@ -91,11 +76,8 @@
+ echo "exit";
+ exit 1
+ fi
+
+-
+-echo "Compiling modules to bytecode..."
+-$PYTHON $CPDIR/install.py --compile $CWD/lib
+
+ echo " Copy libraries"
+ for DIR in `ls $CWD/lib`
+ do